Freeciv-3.1: player_tile Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
player_tile Struct Reference

`#include <maphand.h>`

## Data Fields

struct vision_site * | site
struct extra_type * | resource
struct terrain * | terrain
struct player * | owner
struct player * | extras_owner
bv_extras | extras
v_radius_t | own_seen
v_radius_t | seen_count
short | last_updated

## Detailed Description

Definition at line 30 of file maphand.h.

## Field Documentation

## ◆ extras

bv_extras player_tile::extras

Definition at line 36 of file maphand.h.

Referenced by do_paradrop(), is_refuel_tile(), player_tile_init(), really_give_tile_info_from_player_to_player(), send_tile_info(), sg_load_player_vision(), and update_player_tile_knowledge().

## ◆ extras_owner

struct player* player_tile::extras_owner

Definition at line 35 of file maphand.h.

Referenced by map_change_seen(), player_tile_init(), really_give_tile_info_from_player_to_player(), remove_player_from_maps(), send_tile_info(), sg_load_player_vision(), sg_load_player_vision(), sg_save_player_vision(), and update_player_tile_knowledge().

## ◆ last_updated

short player_tile::last_updated

Definition at line 44 of file maphand.h.

Referenced by player_tile_init(), really_give_tile_info_from_player_to_player(), sg_save_player_vision(), and update_player_tile_last_seen().

## ◆ own_seen

v_radius_t player_tile::own_seen

Definition at line 42 of file maphand.h.

Referenced by map_change_own_seen(), player_tile_init(), and player_tile_own_seen().

## ◆ owner

struct player* player_tile::owner

Definition at line 34 of file maphand.h.

Referenced by do_paradrop(), map_change_seen(), mapimg_server_tile_owner(), player_tile_init(), really_give_tile_info_from_player_to_player(), remove_player_from_maps(), send_tile_info(), sg_load_player_vision(), sg_load_player_vision(), sg_save_player_vision(), and update_player_tile_knowledge().

## ◆ resource

struct extra_type* player_tile::resource

Definition at line 32 of file maphand.h.

Referenced by player_tile_init(), really_give_tile_info_from_player_to_player(), send_tile_info(), sg_load_player_vision(), sg_save_player_vision(), and update_player_tile_knowledge().

## ◆ seen_count

v_radius_t player_tile::seen_count

Definition at line 43 of file maphand.h.

Referenced by map_change_seen(), map_get_seen(), and player_tile_init().

## ◆ site

struct vision_site* player_tile::site

Definition at line 31 of file maphand.h.

Referenced by change_playertile_site(), do_paradrop(), handle_unit_get_actions(), map_get_player_site(), player_tile_free(), player_tile_init(), reality_check_city(), really_give_tile_info_from_player_to_player(), remove_dumb_city(), remove_player_from_maps(), and server_plr_tile_city_id_get().

## ◆ terrain

struct terrain* player_tile::terrain

Definition at line 33 of file maphand.h.

Referenced by do_paradrop(), mapimg_server_tile_terrain(), player_tile_init(), really_give_tile_info_from_player_to_player(), send_tile_info(), sg_load_player_vision(), and update_player_tile_knowledge().